---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libredefclass029.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3FD0, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52320, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54260, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54650, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x555F0, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55600, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51F80, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51F84, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51F88, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x520E0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x52198, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5219C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x521A0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x521A4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x521A8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x521B0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x521C0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x521C8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x521D0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x521D8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x521E0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x521E8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL4fire, symObjAddr: 0x5222C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL16enteredHotMethod, symObjAddr: 0x52230, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9504, offset: 0x9504, size: 0x8, addend: 0x0, symName: __ZL10bytesCount, symObjAddr: 0x52234, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x951D, offset: 0x951D, size: 0x8, addend: 0x0, symName: __ZL8clsBytes, symObjAddr: 0x52238, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: __ZL10hsMethodID, symObjAddr: 0x52240, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x954F, offset: 0x954F, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x52248, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9568, offset: 0x9568, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52250, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95E4, offset: 0x95E4, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2C70, symSize: 0x80 }
  - { offsetInCU: 0x9679, offset: 0x9679, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2BC0, symSize: 0xB0 }
  - { offsetInCU: 0x96D4, offset: 0x96D4, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2AC0, symSize: 0x100 }
  - { offsetInCU: 0x9967, offset: 0x9967, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2CF0, symSize: 0xC0 }
  - { offsetInCU: 0x99B9, offset: 0x99B9, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2DB0, symSize: 0x220 }
  - { offsetInCU: 0x9B9E, offset: 0x9B9E, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2FD0, symSize: 0xA0 }
  - { offsetInCU: 0x9C51, offset: 0x9C51, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3070, symSize: 0x110 }
  - { offsetInCU: 0x9D47, offset: 0x9D47, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3180, symSize: 0x150 }
  - { offsetInCU: 0x9EA4, offset: 0x9EA4, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x32D0, symSize: 0x30 }
  - { offsetInCU: 0x9F85, offset: 0x9F85, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3300, symSize: 0x150 }
  - { offsetInCU: 0xA17D, offset: 0xA17D, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3450, symSize: 0x160 }
  - { offsetInCU: 0xA43D, offset: 0xA43D, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x35B0, symSize: 0x4A0 }
  - { offsetInCU: 0xA6B0, offset: 0xA6B0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3A50, symSize: 0x1B0 }
  - { offsetInCU: 0xA8CB, offset: 0xA8CB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3C00, symSize: 0xA0 }
  - { offsetInCU: 0xA9C6, offset: 0xA9C6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3CA0, symSize: 0x20 }
  - { offsetInCU: 0xA9FD, offset: 0xA9FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3CC0, symSize: 0x20 }
  - { offsetInCU: 0xAA34, offset: 0xAA34, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3CE0, symSize: 0x20 }
  - { offsetInCU: 0xABE7, offset: 0xABE7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3D00, symSize: 0x1A0 }
  - { offsetInCU: 0xAF03, offset: 0xAF03, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3EA0, symSize: 0x130 }
  - { offsetInCU: 0xB0B3, offset: 0xB0B3, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4240, symSize: 0x1B0 }
  - { offsetInCU: 0xB3A2, offset: 0xB3A2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x43F0, symSize: 0x80 }
  - { offsetInCU: 0xB46B, offset: 0xB46B, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4470, symSize: 0x6A0 }
  - { offsetInCU: 0xC000, offset: 0xC000, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA7D0, symBinAddr: 0x5DD0, symSize: 0xB0 }
  - { offsetInCU: 0xC077, offset: 0xC077, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4B10, symSize: 0x70 }
  - { offsetInCU: 0xC16B, offset: 0xC16B, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4B80, symSize: 0xA0 }
  - { offsetInCU: 0xC2A2, offset: 0xC2A2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4C20, symSize: 0x40 }
  - { offsetInCU: 0xC398, offset: 0xC398, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4C60, symSize: 0x2B0 }
  - { offsetInCU: 0xC73E, offset: 0xC73E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4F10, symSize: 0xC0 }
  - { offsetInCU: 0xC884, offset: 0xC884, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4FD0, symSize: 0x10 }
  - { offsetInCU: 0xC946, offset: 0xC946, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4FE0, symSize: 0x220 }
  - { offsetInCU: 0xCC43, offset: 0xCC43, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5200, symSize: 0x10 }
  - { offsetInCU: 0xCCA0, offset: 0xCCA0, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5210, symSize: 0x3E0 }
  - { offsetInCU: 0xD1CA, offset: 0xD1CA, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FF0, symBinAddr: 0x55F0, symSize: 0x10 }
  - { offsetInCU: 0xD227, offset: 0xD227, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass029_isRedefinitionOccurred, symObjAddr: 0xA000, symBinAddr: 0x5600, symSize: 0x40 }
  - { offsetInCU: 0xD273, offset: 0xD273, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass029_notifyNativeAgent, symObjAddr: 0xA040, symBinAddr: 0x5640, symSize: 0x40 }
  - { offsetInCU: 0xD307, offset: 0xD307, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RedefineClasses_redefclass029_storeClassBytes, symObjAddr: 0xA080, symBinAddr: 0x5680, symSize: 0x50 }
  - { offsetInCU: 0xD3E0, offset: 0xD3E0, size: 0x8, addend: 0x0, symName: _CompiledMethodLoad, symObjAddr: 0xA0D0, symBinAddr: 0x56D0, symSize: 0x180 }
  - { offsetInCU: 0xD5A0, offset: 0xD5A0, size: 0x8, addend: 0x0, symName: _CompiledMethodUnload, symObjAddr: 0xA250, symBinAddr: 0x5850, symSize: 0xA0 }
  - { offsetInCU: 0xD72F, offset: 0xD72F, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA2F0, symBinAddr: 0x58F0, symSize: 0x4E0 }
  - { offsetInCU: 0xDCE3, offset: 0xDCE3, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA880, symBinAddr: 0x5E80, symSize: 0x36A }
...
